OpenVDB 12.1.0

Loading...
Searching...
No Matches
promote< S, T, typename > Struct Template Reference

`#include <openvdb/math/Math.h>`

## Public Types
using | type = typename std::common_type_t<S,T>

## Member Typedef Documentation

## ◆ type

template<typename S, typename T, typename = std::enable_if_t<std::is_arithmetic_v<S>&& std::is_arithmetic_v<T>>>

using type = typename std::common_type_t<S,T>